%global debug_package   %{nil}
%global import_path     github.com/coreos/go-systemd
%global gopath          %{_datadir}/gocode
%global commit          f743bc15d6bddd23662280b4ad20f7c874cdd5ad
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-coreos-go-systemd
Version:        2
Release:        1%{?dist}
Summary:        Go bindings to systemd socket activation, journal and D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Requires:       golang
Summary:        Go bindings to systemd socket activation, journal and D-BUS APIs
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/activation) = %{version}-%{release}
Provides:       golang(%{import_path}/dbus) = %{version}-%{release}
Provides:       golang(%{import_path}/journal) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use coreos/go-systemd.

%prep
%setup -n go-systemd-%{version}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/{activation,dbus,journal}
cp -av {activation,dbus,journal} %{buildroot}/%{gopath}/src/%{import_path}

%files devel
%doc LICENSE README.md
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/coreos
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/activation
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/dbus
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/journal
%{gopath}/src/%{import_path}/activation/*.go
%{gopath}/src/%{import_path}/dbus/*.go
%{gopath}/src/%{import_path}/journal/*.go

%changelog
* Mon Jun 09 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2-1
- upstream version bump to v2
- change in NVR format since numbered versions are available

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git8514b9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Bobby Powers <bobbypowers@gmail.com> 0-0.4.git8514b9f
- update to latest upstream

* Fri Oct 18 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git68bc612
- double quotes removed from provides

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git68bc612
- provides golang("github.com/coreos/go-systemd")
- defattr removed

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git68bc612
- Initial fedora package
